import {notNil} from "../../utils";
import {StarIcon} from "lucide-react";
import {FC} from "react";
import {Job} from "../type";

type SkillsProps = {
	jobs: Job[] | undefined
}

export const Skills: FC<SkillsProps> = ({jobs}) => {

	const skills = new Set(jobs?.filter(notNil).flatMap(({tags}) => tags).sort());

	return (
		<>
			<section>
				<div className="flex items-center my-2">
					<p className="mr-2 w-12 ms-1 text-sm font-medium text-gray-500 dark:text-gray-400">Czech</p>
					<StarIcon fill="#fde047" className="w-4 h-4 ms-1 text-yellow-300"/>
					<StarIcon fill="#fde047" className="w-4 h-4 ms-1 text-yellow-300"/>
					<StarIcon fill="#fde047" className="w-4 h-4 ms-1 text-yellow-300"/>
				</div>
				<div className="flex items-center my-2">
					<p className="mr-2 w-12 ms-1 text-sm font-medium text-gray-500 dark:text-gray-400">English&emsp;</p>
					<StarIcon fill="#fde047" className="w-4 h-4 ms-1 text-yellow-300"/>
					<StarIcon className="w-4 h-4 ms-1 text-gray-300 dark:text-gray-500"/>
					<StarIcon className="w-4 h-4 ms-1 text-gray-300 dark:text-gray-500"/>
				</div>
			</section>
			<section className="flex flex-wrap gap-2">
				{Array.from(skills)?.map((name) => (
					<span
						key={name}
						className="bg-indigo-100 text-indigo-800 text-xs font-medium me-2 px-2.5 py-0.5 rounded-full dark:bg-indigo-900 dark:text-indigo-300">
					{name}
				</span>
				))}
			</section>
		</>
	)
}