import {Title} from "./components/Title";
import {AboutMe} from "./components/AboutMe";
import {Contact} from "./components/Contact";
import {Footer} from "./components/Footer";
import {Jobs} from "./components/Jobs";
import {Skills} from "./components/Skills";
import {Job} from "./type";

export default async function Page() {

	const res = await fetch(`${process.env.NEXT_PUBLIC_SITE_URL}/jobs.json`, {cache: "no-store"})
	const data: Job[] | undefined = await res?.json();

	return (
		<>
			<div className="flex flex-col gap-y-16 md:w-3/4 lg:w-2/3 mx-auto p-4 mb-20">
				<Title />
				<AboutMe />
				<Contact />
				<Skills jobs={data} />
				<Jobs jobs={data} />
				<Footer />
			</div>
		</>
	)
}