import {FC} from "react";

type CardProps = {
	title: string;
	description: string;
}

export const Card: FC<CardProps> = ({title, description}) => {
	return (
		<div
			className="w-full md:w-80 block p-6 bg-white border border-gray-200 rounded-lg shadow dark:bg-gray-800 dark:border-gray-700"
		>
			<h5 className="mb-2 text-2xl font-bold tracking-tight text-gray-900 dark:text-white">{title}</h5>
			<p className="font-normal text-gray-700 dark:text-gray-400">{description}</p>
		</div>
	)
}